[SCM] debian-live/live-initramfs branch, master, updated. 1.118-1-6-g5d38c26

Daniel Baumann daniel at debian.org
Fri Feb 29 11:05:51 UTC 2008


The following commit has been merged in the master branch:
commit 5d38c26a3480357730c4913d298a1a6318a7b08c
Author: Andrey Asadchev <asadchev at gmail.com>
Date:   Fri Feb 29 12:01:58 2008 +0100

    Patch to use cryptsetup volumes for persistent storage.
    
    Cryptsetup must be used with usual
    "cryptopts=source=UUID=$(UUID),target=$(TARGET)". For USB devices it may be
    necessary to specify "rootdelay=$SECONDS" in order to wait for USB media.

diff --git a/scripts/live b/scripts/live
index 8db6b80..0280edd 100755
--- a/scripts/live
+++ b/scripts/live
@@ -1171,7 +1171,7 @@ find_livefs ()
 	fi
 
 	# or do the scan of block devices
-	for sysblock in $(echo /sys/block/* | tr ' ' '\n' | grep -v loop | grep -v ram)
+	for sysblock in $(echo /sys/block/* | tr ' ' '\n' | grep -v loop | grep -v ram | grep -v 'dm-')
 	do
 		devname=$(sys2dev "${sysblock}")
 		fstype=$(get_fstype "${devname}")
@@ -1218,6 +1218,11 @@ set_usplash_timeout ()
 
 mountroot ()
 {
+    
+        if [ -x /scripts/local-top/cryptroot ]; then
+	    /scripts/local-top/cryptroot
+	fi
+
 	exec 6>&1
 	exec 7>&2
 	exec > live.log
diff --git a/scripts/live-helpers b/scripts/live-helpers
index 504a3f4..807553a 100644
--- a/scripts/live-helpers
+++ b/scripts/live-helpers
@@ -34,6 +34,13 @@ get_fstype ()
 	local FSTYPE
 	local FSSIZE
 
+	# fstype misreports LUKS devices
+	is_luks "${1}"
+	if [ $? -eq 0 ]; then
+	    /lib/udev/vol_id -t ${1} 2>/dev/null
+	    return
+	fi
+
 	eval $(fstype < ${1})
 
 	if [ "${FSTYPE}" != "unknown" ]
@@ -306,3 +313,16 @@ get_mac ()
 
 	echo ${mac}
 }
+
+is_luks()
+{
+    devname="${1}"
+    if [ -x /sbin/cryptsetup ]
+    then
+	/sbin/cryptsetup isLuks "${devname}" 2>/dev/null
+	return $?
+    else
+	return 1
+    fi
+
+}

-- 
debian-live/live-initramfs



More information about the debian-live-changes mailing list